% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/WindPowerDensity.R
\name{WindPowerDensity}
\alias{WindPowerDensity}
\title{Wind power density on multidimensional array objects}
\usage{
WindPowerDensity(wind, ro = 1.225)
}
\arguments{
\item{wind}{a multidimensional array, vector or scalar with instantaneous wind speeds expressed in m/s.}

\item{ro}{a scalar, or alternatively a multidimensional array with the same dimensions as wind, with the air density expressed in kg/m^3. By default it takes the value 1.225, the standard density of air at 15ºC and 1013.25 hPa.}
}
\value{
An array with the same dimensions as wind, containing Wind Power Density expressed in W/m^2.
}
\description{
Wind Power Density computes the wind power that is available for extraction per square meter of swept area.

It is computed as 0.5*ro*wspd^3. As this function is non-linear, it will give inaccurate results if used with period means.
}
\examples{
wind <- rweibull(n = 100, shape = 2, scale = 6)
WPD <- WindPowerDensity(wind)

}
\author{
Llorenç Lledó, \email{llledo@bsc.es}
}
